<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <form action="" method="post" name="form1">
        <table>
        <tr>
            <td></td>
            <td><h3>简易计算器</h3></td>
        </tr>
        <tr>
            <td>第一个数：</td>
            <td><input type="text" name="num1" id="num1" /></td>
        </tr>
        <tr>
            <td>第二个数：</td>
            <td><input type="text" name="num2" id="num2"/></td>
        </tr>
        <tr>
            <td></td>
            <td >
                <input type="button" value="+" onclick="compute('+')"/>
                <input type="button" value="-" onclick="compute('-')"/>
                <input type="button" value="x" onclick="compute('*')"/>
                <input type="button" value="÷" onclick="compute('/')"/>
            </td>
        </tr>
        <tr>
            <td>计算结果:</td>
            <td><input type="text" name="" id="result" /></td>
        </tr>
        </table>
    </form>

    <script language="JavaScript" >
        function compute(op)
        {
            num1 = Number(document.form1.num1.value);
            num2 = Number(document.form1.num2.value);
            switch (op){
                case "+":
                    document.form1.result.value=num1 + num2;
                    break;
                case "-":
                    document.form1.result.value=num1 - num2;
                    break;
                case "*":
                    document.form1.result.value=num1 * num2;
                    break;
                case "/":
                    document.form1.result.value=num1 / num2;
                    break;
            }
        }
    </script>
</body>
</html>